%define name lottanzb
%define version 0.6
%define release %mkrel 3

Summary:	LottaNZB - Automated Usenet Client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://www.lottanzb.org/
Source:		%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
BuildRequires:	python-devel >= 2.7
BuildRequires:	desktop-file-utils
Requires:	python-kiwi >= 1.9.9
Requires:	python >= 2.6
Requires:	hellanzb >= 0.13
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-gobject
Requires:	python-dbus
Requires:	python-configobj
Requires:	sabnzb
Obsoletes:	%name < %version



%description
LottaNZB is a Usenet client that automates the download of Usenet files
with the help of NZB files. It uses HellaNZB as its backend and PyGTK
for its user interface.

%prep

%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --packaging-mode

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Internet-FileTransfer" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name} --with-gnome
cat PKG-INFO > $RPM_BUILD_ROOT%{python_sitelib}/lottanzb-%{version}-py?.?.egg-info


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_mime_database}
%update_icon_cache hicolor
%{update_menus}

%postun
%{clean_mime_database}
%clean_icon_cache hicolor
%{clean_menus} 


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{python_sitelib}/%{name}/*
%{python_sitelib}/%{name}-%{version}-*.egg-info
%{_datadir}/%{name}/*
%{_datadir}/icons/*
%{_datadir}/application-registry/lottanzb.applications
%{_datadir}/applications/lottanzb.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/*
%{_docdir}/%{name}/*
%{_mandir}/man1/%{name}*

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.6-3pclos2013 
- update python 2.7

* Sun Jun 26 2011 Texstar <texstar at gmail.com> 0.6-2pclos2011
- add missing dependency

* Mon Apr 11 2011 Texstar <texstar at gmail.com> 0.6-1pclos2011
- 0.6

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.5.4-2pclos2010
- Update

* Sun May 23 2010 slick50 <lxgator@gmail.com> 0.5.4-1pclos2010
- 0.5.4

* Wed Feb 10 2010 slick50 <lxgator@gmail.com> 0.5.3-1pclos2010
- 0.5.3

* Sun Nov 29 2009 slick50 <lxgator@gmail.com> 0.5.2-1pclos2010
- 0.5.2

* Wed Oct 7 2009 rogaven <rogaven@rogaven.info> 0.5.1-1
- build for PCLinuxOS
